AuxBitsModeType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum AuxBitsModeType

- java.lang.Object
- - java.lang.Enum<AuxBitsModeType>
  - - tv.amwa.maj.enumeration.AuxBitsModeType

- All Implemented Interfaces:
    Serializable, Comparable<AuxBitsModeType>, MediaEnumerationValue

      public enum AuxBitsModeType
      extends Enum<AuxBitsModeType>
      implements MediaEnumerationValue

  Represents the 3 bit auxiliary bits mode of audio essence stored in the AES/EBU audio file format and described by a AES3 PCM descriptor. Typically, this file format can use either:

  - 20 bits per audio sample and 4 bits of optional auxiliary data, or
  - 24 bits per audio sample and no bits of auxiliary data.

  The values defined here are as specified in section 4 of EBU tech. 3250.

  See Also:
    `TypeDefinitions.AuxBitsModeType`, `AES3PCMDescriptor.getAuxBitsMode()`, `UserDataModeType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MainAudioSampleData` Maximum audio sample word length is 24 bits and auxiliary sample bits are used for main audio sample data.
    `NotDefined` Maximum audio sample word length is 20 bits (default).
    `Reserved0` Reserved for future use and should not be used.
    `Reserved1` Reserved for future use and should not be used.
    `Reserved2` Reserved for future use and should not be used.
    `Reserved3` Reserved for future use and should not be used.
    `SingleCoordinationSignal` Maximum audio sample word length is 20 bits and auxiliary sample bits carry a single coordination signal.
    `UserDefined` The size of sample and audio sections is user-defined.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static AuxBitsModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuxBitsModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### NotDefined

          public static final AuxBitsModeType NotDefined

      Maximum audio sample word length is 20 bits (default). Use of auxiliary sample bits not defined.

    - #### MainAudioSampleData

          public static final AuxBitsModeType MainAudioSampleData

      Maximum audio sample word length is 24 bits and auxiliary sample bits are used for main audio sample data.

    - #### SingleCoordinationSignal

          public static final AuxBitsModeType SingleCoordinationSignal

      Maximum audio sample word length is 20 bits and auxiliary sample bits carry a single coordination signal.

    - #### UserDefined

          public static final AuxBitsModeType UserDefined

      The size of sample and audio sections is user-defined.

    - #### Reserved0

          public static final AuxBitsModeType Reserved0

      Reserved for future use and should not be used.

    - #### Reserved1

          public static final AuxBitsModeType Reserved1

      Reserved for future use and should not be used.

    - #### Reserved2

          public static final AuxBitsModeType Reserved2

      Reserved for future use and should not be used.

    - #### Reserved3

          public static final AuxBitsModeType Reserved3

      Reserved for future use and should not be used.

  - ### Method Detail

    - #### values

          public static AuxBitsModeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuxBitsModeType c : AuxBitsModeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuxBitsModeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.